WebXmlSubTask.ContextParam (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.web.WebXmlSubTask.ContextParam class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.web
Class WebXmlSubTask.ContextParam

    java.lang.Object
      xdoclet.modules.web.WebXmlSubTask.ContextParam

All Implemented Interfaces:
  Serializable

Enclosing class:
  WebXmlSubTask

public static class WebXmlSubTask.ContextParam
extends Object
implements Serializable

The declaration of a web application's servlet context initialization parameter.

Author:
  Aslak Hellesøy
See Also:
  Serialized Form
created
  July 28, 2001

Constructor Summary
`WebXmlSubTask.ContextParam()`

Method Summary
`String` | `getDescription()` Gets the Description attribute of the ContextParam object
`String` | `getName()` Gets the Name attribute of the ContextParam object
`String` | `getValue()` Gets the Value attribute of the ContextParam object
`void` | `setDescription(String desc)` An optional description of the parameter.
`void` | `setName(String name)` The name of the parameter.
`void` | `setValue(String value)` The value of the parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebXmlSubTask.ContextParam

    public WebXmlSubTask.ContextParam()

Method Detail

### getName

    public String getName()

  Gets the Name attribute of the ContextParam object

  Returns:
    The Name value

### getValue

    public String getValue()

  Gets the Value attribute of the ContextParam object

  Returns:
    The Value value

### getDescription

    public String getDescription()

  Gets the Description attribute of the ContextParam object

  Returns:
    The Description value

### setName

    public void setName(String name)

  The name of the parameter. Each parameter name must be unique in the web application.

  Parameters:
    `name` - The new Name value

### setValue

    public void setValue(String value)

  The value of the parameter.

  Parameters:
    `value` - The new Value value

### setDescription

    public void setDescription(String desc)

  An optional description of the parameter.

  Parameters:
    `desc` - The new Description value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD